6.0.0-git
2021-01-24

[#7825] MDB2 SQL Queries broken on PgSQL since bug 6997 resolved
Summary MDB2 SQL Queries broken on PgSQL since bug 6997 resolved
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 3. High
Owners chuck (at) horde (dot) org
Requester sberthelot (at) emisfr (dot) com
Created 2009-01-05 (4402 days ago)
Due
Updated 2009-01-12 (4395 days ago)
Assigned 2009-01-12 (4395 days ago)
Resolved 2009-01-12 (4395 days ago)
Milestone
Patch No

History
2009-01-12 17:04:46 Chuck Hagenbuch Comment #6
State ⇒ Resolved
Reply to this comment
Should be all set with this patch, though you may not be able to use 
both Postgres and multiple different databases. The debug handler 
causes an actual disconnect with postgres, not just a re-select of the 
database name.
2009-01-12 02:07:37 Chuck Hagenbuch Comment #4
Assigned to Chuck Hagenbuch
State ⇒ Assigned
Reply to this comment
I'm not sure I can reproduce this bug, but I can reproduce something 
like it. I'll try and take another look tomorrow when I'm at my dev 
machine that has postgres set up on it.
2009-01-06 13:41:57 sberthelot (at) emisfr (dot) com Comment #3 Reply to this comment
Does it help if you change the MDB2 options to include
emulate_prepares => true ?
It doesn't change anything, tried in config.php and directly in 
sql.php (adding by hand to $params or $this->_params around line 737)
2009-01-06 05:38:05 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Does it help if you change the MDB2 options to include 
emulate_prepares => true ?
2009-01-05 13:41:04 sberthelot (at) emisfr (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ MDB2 SQL Queries broken on PgSQL since bug 6997 resolved
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
On Horde Groupware Webmail 1.2.1 after upgrade from 1.1.2, adding or 
removing an event, trying to sync with SyncML or anything that 
modifies the DB in SQL result in such errors :



ERROR:  prepared statement 
"mdb2_statement_pgsql_bdcc910d55095456df42b7f14346ed0a" does not exist

STATEMENT:  DEALLOCATE PREPARE 
mdb2_statement_pgsql_bdcc910d55095456df42b7f14346ed0a

LOG:  unexpected EOF on client connection



It seems to be related to bug #6997 since modifying _selectDB function 
in Share/sql.php:710 to remove the call to 
"$db->connected_database_name = '' " makes it work again. I didn't 
understand why this function was added but it seems to break MDB2 
prepared statements on PgSQL ...

Saved Queries